pskc_set_device_expirydate(3)

NAME
pskc_set_device_expirydate - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_device_expirydate(pskc_key_t * key, const struct tm * expirydate);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

const struct tm * expirydate
    pointer to a tm struct with device expiry date to set.

DESCRIPTION
Set the PSKC KeyPackage DeviceInfo ExpiryDate. This element denote the end date of a device (such as the one on a payment card, used when issue numbers are not printed on cards).

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.